/***************************************************************************
                          hiscoredialog.h  -  description
                             -------------------
    begin                : Tue Apr 4 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HISCOREDIALOG_H
#define HISCOREDIALOG_H

#include <qdialog.h>

class QWidget;
class QLabel;
class MyQCanvasView;
class QCanvas;
class QCanvasText;

/**
  *@author Frank von Daak
  *@author Andreas Beckermann
*/

class HiScoreDialog : public QDialog  {
   Q_OBJECT
public: 
	HiScoreDialog(QWidget *parent=0, const char *name=0);
	~HiScoreDialog();

private:
	MyQCanvasView *hiView;
	QCanvas *hiField;

	virtual void closeEvent(QCloseEvent *);
	virtual void keyPressEvent(QKeyEvent*);
	virtual void timerEvent(QTimerEvent*);

	QLabel *s[11];
	int lnum, pressedBut, cnt, cnt2, oldX, oldY, curSig;
	bool block;

protected:
	virtual void setButtons();
	QCanvasText *but[58], *butsh[58];

private slots:
	virtual void checkBut(int,int);
	virtual void submitName();
	
signals:
	void newName(QString);
};

#endif
