/***************************************************************************
                          sprites.h  -  description
                             -------------------
    begin                : Wed Mar 29 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __SPRITES_H__
#define __SPRITES_H__


#include <qcanvas.h>

#define GNAT_ALIVE	1024
#define GNAT_DEAD	1024
#define MEDIUM_ROCK	1025
#define SMALL_ROCK	1026
#define BULLET_MOVE 1024

#define MAG	1024

#define RTTI_MISSILE	1030
#define MAX_MISSILE_AGE	60

#define RTTI_CLOUD	1030
#define MAX_CLOUD_AGE	60

#define RTTI_BIT	1040

class KGnat : public QCanvasSprite
{
public:
    KGnat (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~KGnat() { }

    virtual int rtti() const
	{   return GNAT_ALIVE; }
};

class KDeadGnat : public QCanvasSprite
{
public:
    KDeadGnat (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~KDeadGnat() { }

    virtual int rtti() const
	{   return GNAT_DEAD; }
};

class DeadTux : public QCanvasSprite
{
public:
    DeadTux (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~DeadTux() { }
};

class Mag : public QCanvasSprite
{
public:
    Mag (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~Mag() { }

    virtual int rtti() const
	{   return MAG; }
};

class Tux : public QCanvasSprite
{
public:
    Tux (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~Tux() {}
};

class Bullet : public QCanvasSprite
{
public:
    Bullet (QCanvasPixmapArray *s, QCanvas* c) : QCanvasSprite( s, c )
	{}
    virtual ~Bullet() { }

    virtual int rtti() const
	{   return BULLET_MOVE; }
};

#endif
