/***************************************************************************
                          startscreen.cpp  -  description
                             -------------------
    begin                : Mon Apr 3 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include <klocale.h>
#include <kaccel.h>

#include <qpixmap.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

#include "kinsectizid.h"

#include "startscreen.h"


#include "sprites/background/startscreen.xpm"

StartScreen::StartScreen(QWidget *parent, const char *name, WFlags f)
		   : QWidget(parent,name,f)
{
 this->setBackgroundPixmap(QPixmap((const char **)startscreen_xpm));

//TODO: KStdAccel
 KAccel *acc = new KAccel(this);
 acc->insertItem(i18n("New Game"), "New Game", Key_Return);
 acc->insertItem(i18n("New Game"), "New Game", Key_Space);
 acc->connectItem("New Game", this, SLOT(startGame()));

 soundBox = new QCheckBox(i18n("Play with Sound"), this);
 soundBox->setGeometry(20, 280, 160, 20);
 soundBox->setBackgroundColor(white);
 soundBox->setChecked(true);

 QPushButton* startBut = new QPushButton(i18n("Start"), this);
 startBut->setGeometry(220, 270, 60, 20);
 startBut->setBackgroundColor(white);
 connect(startBut, SIGNAL(clicked()), this, SLOT(startGame()));
}

StartScreen::~StartScreen()
{
}

void StartScreen::startGame()
{
 KInsectizid* kinsectizid = new KInsectizid();
 kinsectizid->setFixedSize(800, 600);
 kinsectizid->sound = soundBox->isChecked();

 kinsectizid->show();
 kapp->setMainWidget(kinsectizid);

 this->hide();
 delete this;
}

